Bug 1528524 - [RFE][Satellite 6.3 Beta] Need a way to split pulp_data.tar into smaller files [NEEDINFO]
Summary: [RFE][Satellite 6.3 Beta] Need a way to split pulp_data.tar into smaller files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: Brad Buckingham
QA Contact: Lucie Vrtelova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-22 02:56 UTC by Prakash Ghadge
Modified: 2019-10-07 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:57 UTC
pghadge: needinfo? (cfouant)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:04 UTC
Foreman Issue Tracker 21899 None None None 2018-04-24 20:32:27 UTC

Description Prakash Ghadge 2017-12-22 02:56:06 UTC
1. Proposed title of this feature request

> Need a way to split pulp_data.tar into smaller files


3. What is the nature and description of the request?

> Need a way to split pulp_data.tar into smaller files. pulp_data.tar on customers system is larger than the largest file can customers backup software can accommodate.

As time goes by, this will get worse.

Customer has started a fix at https://github.com/theforeman/foreman-packaging/pull/1974

However, it would be preferable if the split tar archives where themselves valid archives to help avoid some data corruption destroying the whole archive.

The restore scripts should also be able to utilize the split bits automatically.

4. Why does the customer need this? (List the business requirements here)

> To split pulp_data.tar into smaller files. pulp_data.tar on customers system is larger than the largest file can customers backup software can accommodate.
Need way to split pulp_data.tar into smaller files. pulp_data.tar on customers system is larger than the largest file can customers backup software can accommodate.

5. How would the customer like to achieve this? (List the functional requirements here)

> By splitting the pulp_data.tar into smaller files. Also, restore script should also be able to utilize the split bits automatically

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

> No, but customer has started his own fix at https://github.com/theforeman/foreman-packaging/pull/1974 

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

> No.

9. Is the sales team involved in this request and do they have any additional input?

> No

10. List any affected packages or components.

> Katello-backup and Katello-restore

11. Would the customer be able to assist in testing this functionality if implemented?

> Yes

Comment 3 Christine Fouant 2018-04-24 20:32:28 UTC
This will not be possible to include in 6.3.1. Since it is an RFE, it will likely be put into 6.4.

Comment 6 Pat Riehecky 2018-10-30 18:31:52 UTC
I show this fixed in 6.4

Comment 14 errata-xmlrpc 2019-05-14 12:36:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.